package com.fs.survey.service;

import com.fs.survey.domain.SurveyQuestionnaire;
import com.fs.survey.vo.DoctorLevelApplyQuestionnaireVO;

import java.util.List;

/**
 * 问卷Service接口
 *
 */
public interface ISurveyQuestionnaireService {
    /**
     * 查询问卷
     *
     * @param id 问卷主键
     * @return 问卷
     */
    public SurveyQuestionnaire selectSurveyQuestionnaireById(Long id);

    /**
     * 查询问卷列表
     *
     * @param surveyQuestionnaire 问卷
     * @return 问卷集合
     */
    public List<SurveyQuestionnaire> selectSurveyQuestionnaireList(SurveyQuestionnaire surveyQuestionnaire);

    /**
     * 新增问卷
     *
     * @param surveyQuestionnaire 问卷
     * @return 结果
     */
    public int insertSurveyQuestionnaire(SurveyQuestionnaire surveyQuestionnaire);

    /**
     * 修改问卷
     *
     * @param surveyQuestionnaire 问卷
     * @return 结果
     */
    public int updateSurveyQuestionnaire(SurveyQuestionnaire surveyQuestionnaire);

    /**
     * 批量删除问卷
     *
     * @param ids 需要删除的问卷主键集合
     * @return 结果
     */
    public int deleteSurveyQuestionnaireByIds(Long[] ids);

    /**
     * 删除问卷信息
     *
     * @param id 问卷主键
     * @return 结果
     */
    public int deleteSurveyQuestionnaireById(Long id);

    /**
     * 发布问卷
     *
     * @param id 问卷ID
     * @param versionId 版本ID
     * @return 结果
     */
    public int publishQuestionnaire(Long id, Long versionId);

    /**
     * 停用问卷
     *
     * @param id 问卷ID
     * @return 结果
     */
    public int disableQuestionnaire(Long id);

    DoctorLevelApplyQuestionnaireVO getCompanyDoctorLevelApplyQuestionnaire(Long companyId);




    DoctorLevelApplyQuestionnaireVO getAdminDoctorLevelApplyQuestionnaire(Long companyId);

}
